JUCE: Slider::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Slider::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes to provide slider drawing functionality. More...

`#include <juce_Slider.h>`

Inheritance diagram for Slider::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawLinearSlider (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &)=0
virtual void | drawLinearSliderBackground (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &)=0
virtual void | drawLinearSliderOutline (Graphics &, int x, int y, int width, int height, Slider::SliderStyle, Slider &)=0
virtual void | drawLinearSliderThumb (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &)=0
virtual int | getSliderThumbRadius (Slider &)=0
virtual void | drawRotarySlider (Graphics &, int x, int y, int width, int height, float sliderPosProportional, float rotaryStartAngle, float rotaryEndAngle, Slider &)=0
virtual Button * | createSliderButton (Slider &, bool isIncrement)=0
virtual Label * | createSliderTextBox (Slider &)=0
virtual ImageEffectFilter * | getSliderEffect (Slider &)=0
virtual Font | getSliderPopupFont (Slider &)=0
virtual int | getSliderPopupPlacement (Slider &)=0
virtual SliderLayout | getSliderLayout (Slider &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide slider drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual Slider::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ drawLinearSlider()

virtual void Slider::LookAndFeelMethods::drawLinearSlider | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | Slider::SliderStyle | ,
|  | Slider & | )
| pure virtual

Implemented in LookAndFeel_V1, LookAndFeel_V2, LookAndFeel_V3, and LookAndFeel_V4.

## ◆ drawLinearSliderBackground()

virtual void Slider::LookAndFeelMethods::drawLinearSliderBackground | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | Slider::SliderStyle | ,
|  | Slider & | )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ drawLinearSliderOutline()

virtual void Slider::LookAndFeelMethods::drawLinearSliderOutline | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Slider::SliderStyle | ,
|  | Slider & | )
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawLinearSliderThumb()

virtual void Slider::LookAndFeelMethods::drawLinearSliderThumb | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | Slider::SliderStyle | ,
|  | Slider & | )
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSliderThumbRadius()

virtual int Slider::LookAndFeelMethods::getSliderThumbRadius | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V1, LookAndFeel_V2, and LookAndFeel_V4.

## ◆ drawRotarySlider()

virtual void Slider::LookAndFeelMethods::drawRotarySlider | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPosProportional,
|  | float | rotaryStartAngle,
|  | float | rotaryEndAngle,
|  | Slider & | )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ createSliderButton()

virtual Button * Slider::LookAndFeelMethods::createSliderButton | ( | Slider & | ,
|  | bool | isIncrement )
| pure virtual

Implemented in LookAndFeel_V1, and LookAndFeel_V2.

## ◆ createSliderTextBox()

virtual Label * Slider::LookAndFeelMethods::createSliderTextBox | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getSliderEffect()

virtual ImageEffectFilter * Slider::LookAndFeelMethods::getSliderEffect | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V1, and LookAndFeel_V2.

## ◆ getSliderPopupFont()

virtual Font Slider::LookAndFeelMethods::getSliderPopupFont | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSliderPopupPlacement()

virtual int Slider::LookAndFeelMethods::getSliderPopupPlacement | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getSliderLayout()

virtual SliderLayout Slider::LookAndFeelMethods::getSliderLayout | ( | Slider & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_Slider.h